Package org.apache.sling.event.impl.jobs.queues

# Class QueueServices

java.lang.Object
org.apache.sling.event.impl.jobs.queues.QueueServices

public class QueueServices extends Object
The queue services class is a helper class containing all services used by the queue implementations. This avoids passing a set of separate objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`JobManagerConfiguration`
`configuration`
`org.osgi.service.event.EventAdmin`
`eventAdmin`
`org.apache.sling.commons.threads.ThreadPool`
`eventingThreadPool`
`JobConsumerManager`
`jobConsumerManager`
`StatisticsManager`
`statisticsManager`
`org.apache.sling.commons.threads.ThreadPoolManager`
`threadPoolManager`

## Constructor Summary

Constructors
Constructor
Description
`QueueServices()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### configuration

public JobManagerConfiguration configuration

### jobConsumerManager

public JobConsumerManager jobConsumerManager

### eventAdmin

public org.osgi.service.event.EventAdmin eventAdmin

### threadPoolManager

public org.apache.sling.commons.threads.ThreadPoolManager threadPoolManager

### statisticsManager

public StatisticsManager statisticsManager

### eventingThreadPool

public org.apache.sling.commons.threads.ThreadPool eventingThreadPool

## Constructor Details

### QueueServices

public QueueServices()